使用VS2017开发APP中使用VUE.js开发遇到打包出来的android文件 在低版本的android(4.3)中无法正常使用

    },

原因:一开始猜测是不是VS中安卓设置不正确,最后确定的问题是,低版本内置的浏览器(webview)版本太低,无法解析
ES2015最新的一些语法。需要在Webpack中配置babel-loader,还需要在项目最外层添加一个.babelrc文件用于babel默认解析ES2015中的特殊语法(例如:
const,let等)

                , loader: “babel-loader”

                //  test: /\.jsx?$/,

 

                , loader: “babel-loader”

/// <binding Clean=’Run – Development’ />

    //    port: 9000

1,  打包出来的apk文件在Android 6.0版本以上手机可以正常打开,在Android
4.3版本手机上无法打开

使用VS2017开发VUE的APP应用遇到的问题集合

        filename: “build.js”

            }, {

            }

        loaders: [

在Wabpack的webpack.config.js配置文件中添加:

    output: {

            },

                //  test: /\.jsx?$/,

            }, {

    module: {

                test: /(\.jsx|\.js)$/

    },

    //    contentBase: “.”,

                ]

 

 

{

    externals: {

  “presets”: [ “es2015” ]

                loader: “vue-loader”

解决方案: 在最外层中添加 .bablerc,并在该文件中添加:

module.exports = {

                    }

“use strict”;

        ]

                test: /(\.jsx|\.js)$/

                    }, {

            }, {

        , path: __dirname + ‘/www/dist’

                test: /\.(eot|woff)$/

    }

        “BMap” : “BMap”

                        loader: “css-loader”

                use: [

                loader:
‘url-loader?limit=8192&name=images/[hash:8].[name].[ext]’

                test: /\.(png|jpg)$/,

                        loader: “style-loader”

};

}

            {

    //devServer: {

        , publicPath: ‘./dist/’,

奥门永利误乐域,                test: /\.vue?$/,

                test: /\.css?$/,

详细配置信息如下:

            {

{

                    {

    //    host: “localhost”,

    //},

    entry: “./www/sources/main.js”,

                , loader: “file-loader”

            }

发表评论

电子邮件地址不会被公开。 必填项已用*标注